#
# spec file for package b43-openfwwf (Version 5.2)
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.
#
# norootforbuild

Name:           b43-openfwwf
Version:	5.2
Release:	lp150.2.1
Summary:	Open Source firmware for Broadcom/AirForce chipset based devices
Group:		System/Kernel
License:	GPLv2
Url:		http://www.ing.unibs.it/openfwwf/
BuildArch:	noarch
BuildRequires:	b43-tools gcc-c++
Requires:	module-init-tools udev
Source0:	http://www.ing.unibs.it/openfwwf/firmware/openfwwf-%{version}.tar.gz
Source1:	b43.modprobe
Patch0:		b43-openfwwf-5.2_Makefile_nostdinc.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Open Source firmware for Broadcom/AirForce chipset based devices.
Known supported boards until now: 4306, 4311(rev1), 4318 and 4320.

%prep
%setup -n openfwwf-%{version}
%patch0
# fix for Makefile
sed -i s/"-o 0 -g 0"// Makefile

%build
make %{?jobs:-j%jobs}

%install
make install PREFIX=$RPM_BUILD_ROOT/lib/firmware/b43-open
install -D -m 0644 %{S:1} $RPM_BUILD_ROOT/%{_sysconfdir}/modprobe.d/50-openfwwf.conf

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc COPYING LICENSE
%dir /lib/firmware/b43-open
/lib/firmware/b43-open/b0g0bsinitvals5.fw
/lib/firmware/b43-open/b0g0initvals5.fw
/lib/firmware/b43-open/ucode5.fw
%dir %{_sysconfdir}/modprobe.d/
%config(noreplace) %{_sysconfdir}/modprobe.d/50-openfwwf.conf

%changelog
* Mon Jul 15 2014 aloisio@gmx.com
  - patched for gcc 4.8
* Wed Mar 24 2010 fisiu@opensuse.org
  - initial package
